Name:		yubioath-desktop
Version:	5.0.4
Release:	%mkrel 1
Summary:	Yubikey OATH security application
Group:		Security
License:	BSD-like
URL:		https://developers.yubico.com/yubioath-desktop/
Source0:	https://developers.yubico.com/yubioath-desktop/Releases/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	pkgconfig(libssl)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qt5-devel
Requires:	pcsc-lite
Requires:	pyotherside
Requires:	qtquickcontrols25
Requires:	yubikey-manager
Recommends:	ccid

%description
Graphical interface for displaying OATH codes with a Yubikey security key.
The Yubico Authenticator is a graphical desktop tool for generating Open
AuTHentication (OATH) event-based HOTP and time-based TOTP one-time password
codes, with the help of a Yubikey that protects the shared secrets.

%prep
%autosetup -n %{name}

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}
install -m 644 -D resources/com.yubico.yubioath.desktop %{buildroot}%{_datadir}/applications/com.yubico.yubioath.desktop
install -m 644 -D resources/icons/com.yubico.yubioath.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/com.yubico.yubioath.svg

%files
%{_bindir}/%{name}
%{_datadir}/applications/com.yubico.yubioath.desktop
%{_iconsdir}/hicolor/scalable/apps/*
%doc NEWS README
%license COPYING


%changelog
* Thu Dec 31 2020 danf <danf> 5.0.4-1.mga8
+ Revision: 1666706
- Update to ver. 5.0.4

* Wed Apr 22 2020 danf <danf> 5.0.3-1.mga8
+ Revision: 1571147
- Update to ver. 5.0.3

* Thu Mar 26 2020 danf <danf> 5.0.2-2.mga8
+ Revision: 1560766
- Add Requires: qtquickcontrols25

* Sat Mar 14 2020 danf <danf> 5.0.2-1.mga8
+ Revision: 1556233
- imported package yubioath-desktop

